Index: /branches/scripting/src/lib/script_engine/script.cc
===================================================================
--- /branches/scripting/src/lib/script_engine/script.cc	(revision 9241)
+++ /branches/scripting/src/lib/script_engine/script.cc	(revision 9242)
@@ -87,5 +87,5 @@
    if(currentFile.length() != 0)
    {
-     PRINT(1)("Could not load %s because an other file is already loaded: %s\n",filename.c_str(), currentFile.c_str());
+     PRINT(1)("SCRIPT %s : ERROR: Could not load %s because an other file is already loaded: %s\n",currentFile.c_str(),filename.c_str(), currentFile.c_str());
      return false;
     }
@@ -104,5 +104,5 @@
      else
      {
-       PRINT(1)("ERROR while loading file %s: \n",filename.c_str());
+       PRINT(1)("SCRIPT %s : ERROR: while loading file %s: \n",currentFile.c_str(),filename.c_str());
        reportError(error);
      }
@@ -111,5 +111,5 @@
    else
    {
-     PRINT(1)("ERROR while loading file %s: \n",filename.c_str());
+     PRINT(1)("SCRIPT %s : ERROR: while loading file %s: \n",currentFile.c_str(),filename.c_str());
      reportError(error);
    }
@@ -150,5 +150,5 @@
  bool Script::executeFile()
  {
-   PRINT(2)("WARNING: script.executeFile is not implemented yet");
+   PRINT(2)("WARNING: script.executeFile is not implemented yet\n");
    /*if(currentFile.length() != 0)
    {
@@ -183,5 +183,5 @@
    }
    else
-     PRINT(1)("There is an other function active ( %s ) or there are unremoved return values on the stack. Please remove them first.\n",currentFunction.c_str());
+     PRINT(1)("SCRIPT %s : ERROR: There is an other function active ( %s ) or there are unremoved return values on the stack. Please remove them first.\n",currentFile.c_str(),currentFunction.c_str());
    return false;
  }
@@ -195,5 +195,5 @@
     if(error != 0)
     {
-      PRINT(1)("ERROR while executing function %s: \n",currentFunction.c_str());
+      PRINT(1)("SCRIPT %s : ERROR: Failed to execute function %s: \n",currentFile.c_str(),currentFunction.c_str());
      reportError(error);
      //clean up
@@ -210,5 +210,5 @@
    }
    else
-     PRINT(1)("Error: no function selected.\n");
+     PRINT(1)("SCRIPT %s : ERROR: no function selected.\n",currentFile.c_str());
 
    return false;
@@ -227,5 +227,5 @@
    else
    {
-     PRINT(1)("Couldn't add parameter because the wrong function is selected: %s instead of %s\n", currentFunction.c_str(), toFunction.c_str());
+     PRINT(1)("SCRIPT %s : ERROR: Couldn't add parameter because the wrong function is selected: %s instead of %s\n",currentFile.c_str(), currentFunction.c_str(), toFunction.c_str());
     return false;
    }
@@ -244,5 +244,5 @@
    else
    {
-     PRINT(1)("Couldn't add parameter because the wrong function is selected: %s instead of %s\n", currentFunction.c_str(), toFunction.c_str());
+     PRINT(1)("SCRIPT %s : ERROR: Couldn't add parameter because the wrong function is selected: %s instead of %s\n",currentFile.c_str(), currentFunction.c_str(), toFunction.c_str());
      return false;
    }
@@ -260,5 +260,5 @@
    else
    {
-     PRINT(1)("Couldn't add parameter because the wrong function is selected: %s instead of %s\n", currentFunction.c_str(), toFunction.c_str());
+     PRINT(1)("SCRIPT %s : ERROR: Couldn't add parameter because the wrong function is selected: %s instead of %s\n",currentFile.c_str(), currentFunction.c_str(), toFunction.c_str());
      return false;
    }
@@ -295,5 +295,5 @@
      }
      else
-       PRINT(1)("ERROR: Form %s : trying to retreive non bolean value",this->currentFile.c_str());
+       PRINT(1)("SCRIPT %s : ERROR: Trying to retreive non bolean value\n",this->currentFile.c_str());
    }
    return returnValue;
@@ -346,6 +346,6 @@
  {
   const char *msg = lua_tostring(luaState, -1);
-  if (msg == NULL) msg = "(error with no message)";
-  fprintf(stderr, "ERROR: %s\n", msg);
+  if (msg == NULL) msg = "(error with no message)\n";
+  PRINT(1)("ERROR: %s\n", msg);
   lua_pop(luaState, 1);
  }
Index: /branches/scripting/src/world_entities/script_trigger.cc
===================================================================
--- /branches/scripting/src/world_entities/script_trigger.cc	(revision 9241)
+++ /branches/scripting/src/world_entities/script_trigger.cc	(revision 9242)
@@ -48,5 +48,5 @@
  */
 ScriptTrigger::ScriptTrigger(const TiXmlElement* root)
-{
+{ PRINT(1)("testerror\n");
   this->setClassID(CL_SCRIPT_TRIGGER, "ScriptTrigger");
   this->toList(OM_COMMON);