Index: /branches/proxy/src/lib/network/netdefs.h
===================================================================
--- /branches/proxy/src/lib/network/netdefs.h	(revision 9247)
+++ /branches/proxy/src/lib/network/netdefs.h	(revision 9248)
@@ -27,6 +27,10 @@
 //!< enum indicating the type of the node
 typedef enum {
-  NET_SERVER,
-  NET_CLIENT
+  NET_MASTER_SERVER,
+  NET_PROXY_SERVER,
+  NET_CLIENT,
+
+  NET_NR_TYPES
+
 } NodeType;
 
Index: /branches/proxy/src/lib/network/network_game_manager.h
===================================================================
--- /branches/proxy/src/lib/network/network_game_manager.h	(revision 9247)
+++ /branches/proxy/src/lib/network/network_game_manager.h	(revision 9248)
@@ -42,11 +42,12 @@
 
 /*!
- * a class that can create and remove entities
+ * a class that can create and remove entities over the network
  */
 class NetworkGameManager: public Synchronizeable
 {
+
   public:
     virtual ~NetworkGameManager();
-    
+
     static NetworkGameManager* NetworkGameManager::getInstance()
     { if (!NetworkGameManager::singletonRef) NetworkGameManager::singletonRef = new NetworkGameManager(); return NetworkGameManager::singletonRef; }
@@ -55,29 +56,32 @@
     bool signalNewPlayer( int userId );
     bool signalLeftPlayer( int userID );
-    
-    void removeSynchronizeable( int uniqueId );
-    
+
     void prefereTeam( int teamId );
+
 
     inline void setGameState( int gameState ){ this->gameState = gameState; }
     inline int getGameState(){ return this->gameState; }
-    
+
     void tick( float ds );
-    
+
+    void removeSynchronizeable( int uniqueId );
     void sendChatMessage( const std::string & message, int messageType );
+
 
   private:
     NetworkGameManager();
-    
+
     static bool delSynchronizeableHandler( MessageId messageId, byte * data, int dataLength, void * someData, int userId );
     static bool preferedTeamHandler( MessageId messageId, byte * data, int dataLength, void * someData, int userId );
     static bool chatMessageHandler( MessageId messageId, byte * data, int dataLength, void * someData, int userId );
-    
+
     void setPreferedTeam( int userId, int teamId );
 
+
+  private:
     static NetworkGameManager*    singletonRef;
-    
+
     int                           gameState;
-    
+
     std::list<Playable*>          playablesToDelete;
 };
Index: /branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- /branches/proxy/src/lib/network/network_stream.cc	(revision 9247)
+++ /branches/proxy/src/lib/network/network_stream.cc	(revision 9248)
@@ -52,4 +52,7 @@
 
 
+/**
+ * empty constructor
+ */
 NetworkStream::NetworkStream()
     : DataStream()
@@ -62,5 +65,5 @@
 
 /**
- * connect to a server as a client
+ * start as a client, connect to a server
  *  @param host: host name (address)
  *  @param port: port number
@@ -83,5 +86,5 @@
 NetworkStream::NetworkStream( int port )
 {
-  this->type = NET_SERVER;
+  this->type = NET_MASTER_SERVER;
   this->init();
   this->serverSocket = new UdpServerSocket(port);
@@ -100,6 +103,6 @@
   this->serverSocket = NULL;
   this->networkGameManager = NULL;
-  myHostId = 0;
-  currentState = 0;
+  this->myHostId = 0;
+  this->currentState = 0;
 
   remainingBytesToWriteToDict = Preferences::getInstance()->getInt( "compression", "writedict", 0 );
@@ -373,5 +376,5 @@
 void NetworkStream::debug()
 {
-  if( this->isServer())
+  if( this->isMasterServer())
     PRINT(0)(" Host ist Server with ID: %i\n", this->myHostId);
   else
@@ -524,5 +527,5 @@
 
       // server fakes uniqueid == 0 for handshake
-      if ( this->isServer() && sync.getUniqueID() < MAX_CONNECTIONS - 1 )
+      if ( this->isMasterServer() && sync.getUniqueID() < MAX_CONNECTIONS - 1 )
         n = Converter::intToByteArray( 0, buf + offset, UDP_PACKET_SIZE - offset );
       else
Index: /branches/proxy/src/lib/network/network_stream.h
===================================================================
--- /branches/proxy/src/lib/network/network_stream.h	(revision 9247)
+++ /branches/proxy/src/lib/network/network_stream.h	(revision 9248)
@@ -61,5 +61,7 @@
     void disconnectSynchronizeable(Synchronizeable& sync);
 
-    inline bool isServer() const { return (this->type == NET_SERVER)? true:false; }
+    inline bool isMasterServer() const { return (this->type == NET_MASTER_SERVER)? true:false; }
+    inline bool isProxyServer() const { return (this->type == NET_PROXY_SERVER)? true:false; }
+    inline bool isClient() const { return (this->type == NET_CLIENT)? true:false; }
     inline bool isActive() const { return this->bActive; }
 