Index: branches/proxy/src/lib/network/network_stream.h
===================================================================
--- branches/proxy/src/lib/network/network_stream.h	(revision 9250)
+++ branches/proxy/src/lib/network/network_stream.h	(revision 9251)
@@ -76,20 +76,16 @@
     void startHandshake();
 
+    /* synchronizeable interface */
     void connectSynchronizeable(Synchronizeable& sync);
     void disconnectSynchronizeable(Synchronizeable& sync);
 
+    /* functions for the localhost settings */
     inline bool isMasterServer() const { return (this->type == NET_MASTER_SERVER)? true:false; }
     inline bool isProxyServer() const { return (this->type == NET_PROXY_SERVER)? true:false; }
     inline bool isClient() const { return (this->type == NET_CLIENT)? true:false; }
     inline bool isActive() const { return this->bActive; }
-
     inline int getMaxConnections(){ return MAX_CONNECTIONS; }
 
-    virtual void processData();
-
-    inline SynchronizeableList::const_iterator getSyncBegin(){ return synchronizeables.begin(); }
-    inline SynchronizeableList::const_iterator getSyncEnd(){ return synchronizeables.end(); }
-    int getSyncCount();
-
+    /* functions for the peerInfo information retreival */
     inline bool isUserIdActive( int userID ) { return (peers.find(userID) != peers.end()); }
     inline bool isUserMasterServer( int userID ){ if ( !isUserIdActive(userID) ) return false; return peers[userID].isMasterServer; }
@@ -97,10 +93,17 @@
     inline bool isUserClient( int userID ){ if ( !isUserIdActive(userID) ) return false; return peers[userID].isClient; }
 
+
+    virtual void processData();
+
     void debug();
-
-    inline PeerInfo & getPeerInfo( int userId ) { return peers[userId]; }
 
 
   private:
+    inline SynchronizeableList::const_iterator getSyncBegin(){ return synchronizeables.begin(); }
+    inline SynchronizeableList::const_iterator getSyncEnd(){ return synchronizeables.end(); }
+    inline PeerInfo & getPeerInfo( int userId ) { return peers[userId]; }
+
+    int getSyncCount();
+
     void updateConnectionList();
     void handleHandshakes();
@@ -114,26 +117,25 @@
 
   private:
-    SynchronizeableList        synchronizeables;
-    PeerList                   peers;
-    ServerSocket*              serverSocket;
-    int                        type;
-    bool                       bActive;
-    std::list<int>             freeSocketSlots;
+    PeerList                   peers;                       //!< list of the network node informations
 
-    int                        myHostId;
+    int                        type;                        //!< the type of this host (NET_CLIENT, NET_MASTER_SERVER,...)
+    int                        myHostId;                    //!< the host id of the localhost
+    bool                       bActive;                     //!< true if this host is active
 
+    std::list<int>             freeSocketSlots;             //!< list of free sockets (to ensure not to resycle sockets)
     int                        currentState;                //!< current state id
 
-    NetworkGameManager*        networkGameManager;
+    NetworkGameManager*        networkGameManager;          //!< reference to the network game manager
+    ServerSocket*              serverSocket;                //!< the listening socket of the server
 
     std::map<int,int>          oldSynchronizeables;         //!< used to save recently deleted sync ids to not recreate them
+    SynchronizeableList        synchronizeables;            //!< list of the synchronizeables
 
     byte                       buf[UDP_PACKET_SIZE];        //!< used by handleUp/Downstream
     byte                       compBuf[UDP_PACKET_SIZE];    //!< used by handleUp/Downstream
-
     int                        remainingBytesToWriteToDict; //!< if > 0 NetworkStream will write packets to DATA/dicts/newdict
 
-    int dictServer;
-    int dictClient;
+    int                        dictServer;                  //!< the zip dict for the server
+    int                        dictClient;                  //!< the zip dict for the client
 };
 #endif /* _NETWORK_STREAM */