Index: branches/proxy/src/lib/network/Makefile.am
===================================================================
--- branches/proxy/src/lib/network/Makefile.am	(revision 9251)
+++ branches/proxy/src/lib/network/Makefile.am	(revision 9252)
@@ -20,4 +20,5 @@
 		      network_game_manager.cc \
 		      converter.cc \
+		      peer_info.cc \
 		      message_manager.cc \
 		      network_log.cc \
@@ -33,5 +34,5 @@
 		      synchronizeable_var/synchronizeable_float.cc \
 		      synchronizeable_var/synchronizeable_bool.cc \
-		      synchronizeable_var/synchronizeable_uint.cc 
+		      synchronizeable_var/synchronizeable_uint.cc
 
 
@@ -54,4 +55,5 @@
 		 network_game_manager.h \
 		 converter.h \
+		 peer_info.h \
 		 netdefs.h \
 		 message_manager.h \
Index: branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- branches/proxy/src/lib/network/network_stream.cc	(revision 9251)
+++ branches/proxy/src/lib/network/network_stream.cc	(revision 9252)
@@ -12,4 +12,7 @@
    main-programmer: Christoph Renner rennerc@ee.ethz.ch
    co-programmer:   Patrick Boenzli  boenzlip@orxonox.ethz.ch
+
+     June 2006: finishing work on the network stream for pps presentation (rennerc@ee.ethz.ch)
+     July 2006: some code rearangement and integration of the proxy server mechanism (boenzlip@ee.ethz.ch)
 */
 
Index: branches/proxy/src/lib/network/network_stream.h
===================================================================
--- branches/proxy/src/lib/network/network_stream.h	(revision 9251)
+++ branches/proxy/src/lib/network/network_stream.h	(revision 9252)
@@ -16,4 +16,5 @@
 #include "connection_monitor.h"
 #include "udp_server_socket.h"
+#include "peer_info.h"
 
 class Synchronizeable;
@@ -21,39 +22,4 @@
 class ServerSocket;
 class NetworkGameManager;
-
-//!< this structure contains informations about the network node
-class PeerInfo
-{
-  public:
-    PeerInfo() { clear(); }
-
-    void clear()
-    {
-      this->userId = 0;
-      this->nodeType = NET_CLIENT;
-      this->isMasterServer = false;
-      this->isProxyServer = false;
-      this->isClient = false;
-      this->socket = NULL;
-      this->handshake = NULL;
-      this->lastAckedState = 0;
-      this->lastRecvedState = 0;
-      this->connectionMonitor = NULL;
-    }
-
-
-  public:
-    int                 userId;
-    int                 nodeType;
-    bool                isMasterServer;
-    bool                isProxyServer;
-    bool                isClient;
-    NetworkSocket *     socket;
-    Handshake *         handshake;
-    ConnectionMonitor * connectionMonitor;
-    int                 lastAckedState;
-    int                 lastRecvedState;
-};
-
 
 
Index: branches/proxy/src/lib/network/peer_info.cc
===================================================================
--- branches/proxy/src/lib/network/peer_info.cc	(revision 9252)
+++ branches/proxy/src/lib/network/peer_info.cc	(revision 9252)
@@ -0,0 +1,54 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+### File Specific:
+   main-programmer: Christoph Renner rennerc@ee.ethz.ch
+   co-programmer:   Patrick Boenzli  boenzlip@orxonox.ethz.ch
+
+     June 2006: finishing work on the network stream for pps presentation (rennerc@ee.ethz.ch)
+     July 2006: some code rearangement and integration of the proxy server mechanism (boenzlip@ee.ethz.ch)
+*/
+
+
+#define DEBUG_MODULE_NETWORK
+
+
+#include "peer_info.h"
+
+
+using namespace std;
+
+
+
+/**
+ * constructor
+ */
+PeerInfo::PeerInfo()
+{
+  this->clear();
+}
+
+
+/**
+ * clearint and initializing the peer info
+ */
+void PeerInfo::clear()
+{
+  this->userId = 0;
+  this->nodeType = NET_CLIENT;
+  this->isMasterServer = false;
+  this->isProxyServer = false;
+  this->isClient = false;
+  this->socket = NULL;
+  this->handshake = NULL;
+  this->lastAckedState = 0;
+  this->lastRecvedState = 0;
+  this->connectionMonitor = NULL;
+}
Index: branches/proxy/src/lib/network/peer_info.h
===================================================================
--- branches/proxy/src/lib/network/peer_info.h	(revision 9252)
+++ branches/proxy/src/lib/network/peer_info.h	(revision 9252)
@@ -0,0 +1,38 @@
+/*!
+ * @file peer_info.h
+ *  implementation a peer info
+ */
+
+#ifndef _PEER_INFO_H
+#define _PEER_INFO_H
+
+#include "server_socket.h"
+#include "handshake.h"
+#include "connection_monitor.h"
+
+
+//!< this structure contains informations about the network node
+class PeerInfo
+{
+  public:
+    PeerInfo();
+
+    void clear();
+
+
+  public:
+    int                 userId;
+    int                 nodeType;
+    bool                isMasterServer;
+    bool                isProxyServer;
+    bool                isClient;
+    NetworkSocket *     socket;
+    Handshake *         handshake;
+    ConnectionMonitor * connectionMonitor;
+    int                 lastAckedState;
+    int                 lastRecvedState;
+};
+
+
+
+#endif /* _PEER_INFO_H */